#pragma once
#include <vector>
#include <string>

typedef std::vector<int> MatrixRow;
typedef std::vector<MatrixRow> Matrix;

/*
 * Just a quick thing to reset a matrix to a value.
 */
inline void matrix_assign(Matrix &out, int new_value) {
  for(auto &row : out) {
    row.assign(row.size(), new_value);
  }
}

void matrix_dump(const std::string &msg, Matrix &map, int show_x=-1, int show_y=-1);
